Loading...
Searching...
No Matches
dlhandler_unix.cpp File Reference
`#include <dlfcn.h>`
`#include <openbabel/dlhandler.h>`
`#include <openbabel/babelconfig.h>`
`#include <openbabel/oberror.h>`
`#include <unistd.h>`
`#include <dirent.h>`
`#include <sys/stat.h>`
`#include <cstring>`
`#include <cstdlib>`
`#include <cstdio>`
`#include <iostream>`

## Namespaces

namespace | OpenBabel

## Macros

#define | BUFF_SIZE 32768

## Functions

bool | tokenize (std::vector< std::string > &, const char *buf, const char *delimstr=" \t\n\r")
int | matchFiles (SCANDIR_CONST struct dirent *entry_p)

## Detailed Description

Dynamic loader for UNIX (handles file format shared obj.).

## Macro Definition Documentation

## BUFF_SIZE

#define BUFF_SIZE 32768

## Function Documentation

## matchFiles()

int matchFiles | ( | SCANDIR_CONST struct dirent * | entry_p | ) |

Referenced by DLHandler::findFiles().